Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::IdentityProperties Class Reference

Inherits Object.

## Public Member Functions
| IdentityProperties ()
| Constructor.
| IdentityProperties (const IdentityProperties &id_properities)
| Constructor, with another identity properties object. More...
| IdentityProperties (const wchar_t *corporation, const wchar_t *email, const wchar_t *login_name, const wchar_t *name, const wchar_t *first_name, const wchar_t *last_name, const wchar_t *title, const wchar_t *department)
| Constructor, with parameters. More...
void | Set (const wchar_t *corporation, const wchar_t *email, const wchar_t *login_name, const wchar_t *name, const wchar_t *first_name, const wchar_t *last_name, const wchar_t *title, const wchar_t *department)
| Set values. More...

## Public Attributes
WString | corporation
| The corporation name.
WString | department
| The department name.
WString | email
| The email address.
WString | first_name
| The user first name.
WString | last_name
| The user last name.
WString | login_name
| The login name. Usually, this is the name used to log in current operating system.
WString | name
| The user name.
WString | title
| The user title.

## Detailed Description

This class represents identity properties of current user, and is used for callback function ActionCallback::GetIdentityProperties.

## Constructor & Destructor Documentation

## ◆ IdentityProperties() [1/2]

foxit::IdentityProperties::IdentityProperties | ( | const wchar_t * | corporation,
|  | const wchar_t * | email,
|  | const wchar_t * | login_name,
|  | const wchar_t * | name,
|  | const wchar_t * | first_name,
|  | const wchar_t * | last_name,
|  | const wchar_t * | title,
|  | const wchar_t * | department
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The user last name.
  [in] | title | The user title.
  [in] | department | The department name.

## ◆ IdentityProperties() [2/2]

foxit::IdentityProperties::IdentityProperties | ( | const IdentityProperties & | id_properities | ) |
| inline

Constructor, with another identity properties object.

Parameters

  [in] | id_properities | Another identity properties object.

## Member Function Documentation

## ◆ Set()

void foxit::IdentityProperties::Set | ( | const wchar_t * | corporation,
|  | const wchar_t * | email,
|  | const wchar_t * | login_name,
|  | const wchar_t * | name,
|  | const wchar_t * | first_name,
|  | const wchar_t * | last_name,
|  | const wchar_t * | title,
|  | const wchar_t * | department
| ) |  |
| inline

Set values.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The uesr last name.
  [in] | title | The user title.
  [in] | department | The department name.

Returns
  None.